Bug 1273398 - [upgrade]: In-service software upgrade not throwing error, when glusterd, glusterfs, glusterfsd processes are still running
Summary: [upgrade]: In-service software upgrade not throwing error, when glusterd, gl...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Bug Updates Notification Mailing List
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-20 11:25 UTC by Byreddy
Modified: 2016-05-18 08:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-15 10:28:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Byreddy 2015-10-20 11:25:56 UTC
Description of problem:
=======================
In-service software upgrade was not throwing error when  glusterfs, glusterfsd, glusterd processes are still alive & running.


Version-Release number of selected component (if applicable):
=============================================================
glusterfs-3.7.5-0.3 

How reproducible:
=================
Always


Steps to Reproduce:
===================
1. Create a trusted storage pool of 2 RHGS nodes
2. Create a distribute & replicate volume with this 2 nodes
3. With all the processes ( glusterd, glusterfsd, glusterfs ) running, try to upgrade RHGS to glusterfs-3.7.5-0.3.


Actual results:
===============
upgrade happened successfully, without failures.

Expected results:
=================
Upgrade should fail, asking to "kill {glusterd,glusterfs, glusterfsd}"


Additional info:
related bug = https://bugzilla.redhat.com/show_bug.cgi?id=1097782

Comment 2 Byreddy 2015-12-15 10:28:45 UTC
This is working now with the below mentioned build 

[root@dhcp ~]# rpm -qa |grep gluster
glusterfs-cli-3.7.5-11.el7rhgs.x86_64
python-gluster-3.7.5-6.el7rhgs.noarch
nfs-ganesha-gluster-2.2.0-9.el7rhgs.x86_64
glusterfs-client-xlators-3.7.5-11.el7rhgs.x86_64
glusterfs-debuginfo-3.7.5-11.el7rhgs.x86_64
glusterfs-fuse-3.7.5-11.el7rhgs.x86_64
glusterfs-ganesha-3.7.5-11.el7rhgs.x86_64
glusterfs-libs-3.7.5-11.el7rhgs.x86_64
glusterfs-api-3.7.5-11.el7rhgs.x86_64
glusterfs-geo-replication-3.7.5-11.el7rhgs.x86_64
glusterfs-3.7.5-11.el7rhgs.x86_64
glusterfs-rdma-3.7.5-11.el7rhgs.x86_64
gluster-nagios-addons-0.2.5-1.el7rhgs.x86_64
glusterfs-server-3.7.5-11.el7rhgs.x86_64
gluster-nagios-common-0.2.3-1.el7rhgs.noarch
vdsm-gluster-4.16.20-1.3.el7rhgs.noarch
[root@dhcp ~]# 

Pls refer the https://bugzilla.redhat.com/show_bug.cgi?id=1273706 for the patch 

closing this bug


Note You need to log in before you can comment on or make changes to this bug.